{% load tz %}
{% load i18n %}
{% get_current_timezone as TIME_ZONE %}
<form action="{% url 'user-set-timezone' %}" method="POST">
    {% csrf_token %}
    <label for="timezone">{% trans 'Time zone' %}:</label>
    <select name="timezone" id="timezone">
        {% for tz in timezones %}
        <option value="{{ tz }}"{% if tz == TIME_ZONE %} selected{% endif %}>{% trans tz %}</option>
        {% endfor %}
    </select>
    <input type="submit" value="{% trans 'Set time zone' %}" />
</form>